"""
Dies ist das Konfigurationsfile. Hier bitte nach eigenen Gegebenheiten eintragen.

Spritmonitor-Konfiguration.
WICHTIG: Es muß eine gültige Umgebungsvariable SPRITMONITOR_BEARER_TOKEN geben. Diese kann bei Spritmonitor.de
auf der Passwort-Vergessen-Seite angefordert werden. Eine Umgebungsvariable wird verwendet, damit nicht aus
versehen der Zugang mit verschickt wird, wenn der Code weitregegeben oder veröffentlicht wird. Sie wird vor Aufruf
von soc_helper.py mittels "export SPRITMONITOR_BEARER_TOKEN=<eigenerToken>" deklariert - idealerweise in der Datei
~/.profile schon bei der Anmeldung am System.
"""
#USE_SPRITMONITOR=True
#SPRITMONITOR_VEHICLE_ID = '1370192'       #Bitte hier die eigene Fahrzeug-ID (App oder Webseite) einfügen
#SPRITMONITOR_APP_TOKEN = '4a5379db9f8530b11096ff4c917bdc9a'        #App-Token für dieses Programm. Nötig #für die API-Nutzung von Spritmonitor
#SPRITMONITOR_FULLSOC = 77	#SOC, bei dem eine Vollbetankung übermittelt wird. Toleranz ist +/-2%. #Oberhalb und unterhalb ist Teilbetankung
#SPRITMONITOR_FUELSORT = 24	#über die Api sind die Nummern der Kraftstoffsorten abrufbar. Hier wichtig: 19 #- Elektrizität, 24 - Ökostrom
#SPRITMONITOR_FUELPRICE = 0.08	#Preis in €/kWh. Bei reinem PV-Laden die Einspeisevergütung plus evt. #Umsatzsteuer auf Eigenverbrauch. 
"""
CAN. Siehe CAN-Datenbank VW: https://www.goingelectric.de/wiki/Liste-der-OBD2-Codes/
"""
# CAN-Botschaftsdefinition, um SOC anzufordern
VALID_SOC_ID=2029   #ID der Antwort-Botschaft, in der der SOC steht. e-up: 2029 - Antwort des Batterie-SG
SOC_REQUEST = '{ \"bus\": \"0\", \"type\": \"tx\", \"frame\": [{ \"id\": 2021, \"dlc\": 8, \"rtr\": false, \"extd\": false, \"data\": [3, 34, 2, 140, 170, 170, 170, 170] }] }'
VALID_SOC_ANSWER=[98,2,140] #die Bytes, mit der die SOC-Anforderung quittiert wird. e-up: Anforderung ist 34,2,140, Antwort 98,2,140, danach folgt der [SOC in %]*2.55
# CAN-Definition, um den Kilometerstand anzufordern
VALID_DST_ID=1918   #ID der Antwort-Botschaft, in dem der SOC steht. e-up: 1918 - Antwort des Schalttafel-Einsatzes
DST_REQUEST = '{ \"bus\": \"0\", \"type\": \"tx\", \"frame\": [{ \"id\": 1812, \"dlc\": 8, \"rtr\": false, \"extd\": false, \"data\": [3, 34, 34, 3, 170, 170, 170, 170] }] }'
VALID_DST_ANSWER=[98,34,3] #die Bytes, mit der die Distance-Anforderung quittiert wird. e-up: Anforderung ist 34,34,3, Antwort 98,34,4, danach folgen zwei Bytes aa bb mit ODO=(aa*256+bb)*10

"""
#OPENWB-Konfiguration
"""
OPENWB_IP = '192.168.178.81'         #hier die Adresse der OpenWB einstellen - Lokaler Name könnte auch funktionieren, nicht ausprobiert

#Die folgenden Topics hängen von der Konfiguration der OpenWB ab:

#Für OpenWB 2.x:
#OPENWB_SETSOC_TOPIC='openWB/set/vehicle/0/soc_module/configuration/soc_start' #für ältere Versionen der 2.0 das Topic, auf das der ermittelte SOC geschrieben werden soll.
#OPENWB_SETSOC_TOPIC='openWB/set/vehicle/0/soc_module/calculated_soc_state/manual_soc' #Topic zum Setzen des manuellen SOC. Anscheinend hat um den 14.10.2023 herum das Topic gewechselt
#OPENWB_GETSOC_TOPIC='openWB/vehicle/0/get/soc' #Topic, um den SOC-Wert der Wallbox auszulesen
#OPENWB_CHARGECOUNTER_TOPIC='openWB/chargepoint/10/get/imported' #Topic, um den Ladezähler auszulesen. Insbesondere die Nummer ist anzupassen
#OPENWB_GETPLUGSTATE_TOPIC='openWB/chargepoint/10/get/plug_state' #Topic, um den Steckerzustand auszulesen. Nummer anpassen!
#OPENWB_FACTORCOUNTER=1000 #Faktor, um von der Einheit des Zählers (in 2.0 sind es Wh) auf kWh umzurechnen

#Für OpenWB 1.9:
OPENWB_SETSOC_TOPIC='openWB/set/lp/1/manualSoc' #das Topic, auf das der ermittelte SOC geschrieben werden soll.
OPENWB_GETSOC_TOPIC='openWB/lp/1/%Soc' #Topic, um den SOC-Wert der Wallbox auszulesen
OPENWB_CHARGECOUNTER_TOPIC='openWB/lp/1/kWhCounter' #Topic, um den Ladezähler auszulesen. Bei 1.9 in kWh, bei 2.0 in Wh!
OPENWB_GETPLUGSTATE_TOPIC='openWB/lp/1/boolPlugStat' #Topic, um den Steckerzustand auszulesen.
OPENWB_FACTORCOUNTER=1 #Faktor, um von der Einheit des Zählers (in 1.9 sind es kWh) auf kWh umzurechnen

"""
WiCAN
"""
TOPIC_PREFIX = 'wican/DC5475625AEC' #12-stellige ID des Gerätes, sie ist dem Namen des WLAN-APs des WiCAN zu entnehmen

"""
Sonstiges
"""
LOGLEVEL = 2 # Ausgabetiefe. Gültig sind Werte von 0..2; 0-ruhig 1-sparsam 2-Details 
CHARGELOG_PATH = '/home/leo/soc_helper/energydata.csv'

#Das Folgende sollte immer gleich sein
TOPIC_STATUS = '/status'
TOPIC_RX = '/can/rx'
TOPIC_TX = '/can/tx'

# In der Funktion cb_rx in soc_helper muß für andere Fahrzeuge möglicherweise die Berechnung des SOC angepaßt werden.
